POST
/
api
/
traces
/
bulk
Bulk update trace sale eligibility
curl --request POST \
  --url https://selltraces.com/api/traces/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "ok": true,
  "updatedIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "updatedCount": 4503599627370495,
  "skippedCount": 4503599627370495
}

Authorizations

Authorization
string
header
required

Opaque machine token issued by the CLI login or onboarding flow.

Body

application/json

Trace ids and include/exclude action.

ids
string<uuid>[]
required
Required array length: 1 - 500 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
action
enum<string>
required
Available options:
exclude,
include

Response

Bulk update completed with counts.

ok
boolean
required
updatedIds
string<uuid>[]
required

UUID string.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedCount
integer
required
Required range: 0 <= x <= 9007199254740991
skippedCount
integer
required
Required range: 0 <= x <= 9007199254740991